Summary:	Evolution extension for Exchange Web Services
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange Web Services
Name:		evolution-ews
Version:	3.26.4
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-ews/3.26/%{name}-%{version}.tar.xz
# Source0-md5:	ed4ce8cf69006b23a2e8dd637160a550
URL:		http://projects.gnome.org/evolution/
BuildRequires:	cmake >= 3.1
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.46.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libical-devel
BuildRequires:	libmspack-devel >= 0.4
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	glib2 >= 1:2.46.0
Requires:	libsoup >= 2.42.0
Obsoletes:	evolution-ews-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
servers, versions 2007 and later, through its Exchange Web Services
(EWS) interface.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange w wersji 2007 lub nowszej poprzez interfejs EWS
(Exchange Web Services).

%prep
%setup -q

%build
%cmake \
	-DLIBEXEC_INSTALL_DIR=%{_libdir} \
	-DENABLE_SCHEMAS_COMPILE=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libdir}/evolution-ews
%attr(755,root,root) %{_libdir}/evolution-ews/libcamelews-priv.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-ews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%attr(755,root,root) %{_libdir}/evolution/modules/module-ews-configuration.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews
%{_datadir}/appdata/evolution-ews.metainfo.xml
%changelog
* Mon Jan 08 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-ews.git;a=log;h=master

* Mon Jan 08 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e70a1ec
- Update to 3.26.4

* Mon Dec 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1958960
- Update to 3.26.3

* Sun Oct 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> aaafc7f
- Update to 3.26.1

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> cd6ec5a
- Update to 3.26.0

* Tue Jul 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 5d2bd5b
- updated to 3.24.4

* Wed Jun 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> cbd53bf
- Update to 3.24.3

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 2551b67
- updated to 3.24.2

* Wed Apr 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> dddeb47
- Update to 3.24.1

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 158c663
- Update to 3.24.0

* Tue Mar 14 2017 Jakub Bogusz <qboosh@pld-linux.org> f8cfd20
- updated to 3.22.6

* Sun Feb 19 2017 Marcin Banasiak <marcin.banasiak@gmail.com> eb30bff
- Update to 3.22.5

* Wed Jan 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 85e6031
- Update to 3.22.4

* Mon Dec 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 4fadf5d
- Update to 3.22.3

* Tue Dec 06 2016 Jakub Bogusz <qboosh@pld-linux.org> ee55b4e
- updated to 3.22.2

* Thu Oct 06 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 076e0e4
- Update to 3.22.0

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 5f83e0e
- updated to 3.20.4

* Fri Jun 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 5c19ec9
- updated to 3.20.3

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 5628c39
- updated to 3.20.2

* Thu Apr 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 52c0090
- Update to 3.20.1

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8be8eb0
- Update to 3.20.0

